Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
on_page
/
microdata
OnPage API Microdata
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/on_page/microdata \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "url": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.crawl_progress": "<string>",
  "tasks.result.crawl_status": {},
  "tasks.result.crawl_status.max_crawl_pages": 123,
  "tasks.result.crawl_status.pages_in_queue": 123,
  "tasks.result.crawl_status.pages_crawled": 123,
  "tasks.result.test_summary": {},
  "tasks.result.test_summary.fatal": 123,
  "tasks.result.test_summary.error": 123,
  "tasks.result.test_summary.warning": 123,
  "tasks.result.test_summary.info": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.type": "<string>",
  "tasks.result.inspection_info": {},
  "tasks.result.inspection_info.types": [
    "<string>"
  ],
  "tasks.result.inspection_info.fields": [
    "<string>"
  ],
  "tasks.result.inspection_info.fields.name": "<string>",
  "tasks.result.inspection_info.fields.types": [
    "<string>"
  ],
  "tasks.result.inspection_info.fields.value": [
    "<string>"
  ],
  "tasks.result.inspection_info.fields.test_results": {},
  "tasks.result.inspection_info.fields.test_results.level": "<string>",
  "tasks.result.inspection_info.fields.test_results.message": "<string>",
  "tasks.result.inspection_info.fields.fields": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
id
string
required

ID of the task required field you can get this ID in the response of the Task POST endpoint example: "07131248-1535-0216-1000-17384017ad04"

url
string
required

resource URL required field you can get this URL in the response of the Pages endpoint example: https://dataforseo.com/apis

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.crawl_progress
string

status of the crawling session possible values: in_progress, finished

tasks.result.crawl_status
object

details of the crawling session

tasks.result.crawl_status.max_crawl_pages
integer

maximum number of pages to crawl indicates the max_crawl_pages limit you specified when setting a task

tasks.result.crawl_status.pages_in_queue
integer

number of pages that are currently in the crawling queue

tasks.result.crawl_status.pages_crawled
integer

number of crawled pages

tasks.result.test_summary
object

microdata validation test results

tasks.result.test_summary.fatal
integer

number of fatal microdata errors

tasks.result.test_summary.error
integer

number of serious microdata errors

tasks.result.test_summary.warning
integer

number of microdata warnings

tasks.result.test_summary.info
integer

number of microdata information flags

tasks.result.items_count
integer

number of items in the results array

tasks.result.items
string[]

items array

tasks.result.type
string

type of the item = ‘json_ld’

tasks.result.inspection_info
object

information related to microdata validation

tasks.result.inspection_info.types
string[]

parent microdata types for a full list of available types, please visit schema.org

tasks.result.inspection_info.fields
string[]

microdata fields an array of objects containing data fields related to the certain microdata type

tasks.result.inspection_info.fields.name
string

field name name of the data field

tasks.result.inspection_info.fields.types
string[]

list of microdata sub-types

tasks.result.inspection_info.fields.value
string[]

microdata value microdata value specified on a target web page

tasks.result.inspection_info.fields.test_results
object

microdata validation test results sub-type microdata test results that contain detected errors and related messages

tasks.result.inspection_info.fields.test_results.level
string

level of microdata error can take the following values: fatal, error, warning, info

tasks.result.inspection_info.fields.test_results.message
string

message associated with an error message providing the details of the detected error

tasks.result.inspection_info.fields.fields
string[]

microdata fields an array of objects containing data fields related to the certain microdata type